Opened 5 months ago

Closed 5 months ago

#1072 closed Package Issue - Production (fixed)

xbmc doesn't start due to NVIDIA internal version mismatch

Reported by: yggdrasil Owned by: kris
Priority: minor Milestone:
Component: Package Manager Version: 10.0-RELEASE
Keywords: Cc: trac-bugs@…

Description

After installing recent updated, xbmc doesn't start anymore because of version mismatches in parts of the NVIDIA driver. xbmc (the alpha version in pkg repo as well as the beta in ports) seems to think the driver isn't installer at all. Below is the complere output of starting an xbmc session:

(process:23773): WARNING : Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

(process:23773): WARNING : Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

(process:23773): WARNING : Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
Version mismatch detected between the NVIDIA libGL.so
and libnvidia-glcore.so. shared libraries (libGL.so version:
331.49; libnvidia-glcore.so. version: 331.38).
Please try reinstalling the NVIDIA driver.

Change History (2)

comment:1 Changed 5 months ago by yggdrasil

Now this is very odd. A reinstall of xbmc followed by a restart of the entire system didn't solve the problem, but the coldboot less than 5 mins later because of a system freeze (maybe due to flash) made it work again?! I'm thoroughly confused...

comment:2 Changed 5 months ago by kris

  • Resolution set to fixed
  • Status changed from new to closed

So it looks like it works now? Odd, perhaps the package / driver hadn't fully updated?

I'll mark this as closed, but if others run into issues please re-open.

Note: See TracTickets for help on using tickets.